Bug 616572 - LSI SAS 3442E-R (LSI 1068E) ATA Pass Through Command Errors
LSI SAS 3442E-R (LSI 1068E) ATA Pass Through Command Errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 16:00 EDT by Ken Stailey
Modified: 2011-06-29 09:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fedora 13 failing to install on HP ProLiant DL165 G5 with LSI SAS 3442E-R (LSI 1068E) controller (34.83 KB, image/png)
2010-07-20 16:00 EDT, Ken Stailey
no flags Details

  None (edit)
Description Ken Stailey 2010-07-20 16:00:57 EDT
Created attachment 433253 [details]
Fedora 13 failing to install on HP ProLiant DL165 G5 with LSI SAS 3442E-R (LSI 1068E) controller

Fedora 13 failing to install on HP ProLiant DL165 G5 with LSI SAS 3442E-R
(LSI 1068E) controller

Description of problem:

During installation of Fedora 13 on HP ProLiant DL165 G5 with LSI SAS
3442E-R (LSI 1068E) controller sdb goes offline with errors.  The drive works
with other versions of Linux before and after testing with Fedora 13.

Moments before sdb goes offline the kernel produces messages:

sd 6:0:1:0: [sdb] CDB: ATA command pass through(12)/Blank: a1 08 2e 00 01 00 00
00 00 ec 00 00

mptbase: ioc0: LogInfo(0x31170000): Originator={PL}, Code={IO Device Missing
Delay Retry}, SubCode(0x0000)

mptbase: ioc0: LogInfo(0x31140000): Originator={PL}, Code={IO Executed},
SubCode(0x0000)

mptscsih: ioc0: task abort: SUCCESS (sc=ffff88021860a200)

See screen capture attachment to this ticket for more.
Comment 1 Ken Stailey 2010-07-20 16:02:52 EDT
This bug is a regression; kernel version 2.6.28 does not have it.  I'm not sure
what version first introduced the regression.  I've seen it in kernel 2.6.31,
2.6.32 and 2.6.35.
Comment 2 Ken Stailey 2010-07-20 16:22:29 EDT
See also https://bugs.launchpad.net/ubuntu/+source/linux/+bug/605939
Comment 3 Ken Stailey 2010-07-21 15:27:22 EDT
The disk configuration portion of the kickstart file showing the mdadm software
RAID1

part raid.11    --size 500      --asprimary     --ondrive=sda
part raid.12    --size 1 --grow --asprimary     --ondrive=sda
part raid.21    --size 500      --asprimary     --ondrive=sdb
part raid.22    --size 1 --grow --asprimary     --ondrive=sdb
raid /boot      --device md0 --level=RAID1 --fstype ext3 raid.11 raid.21 
raid pv.01      --device md1 --level=RAID1 raid.12 raid.22
volgroup rootvg pv.01
logvol swap  --vgname=rootvg --fstype swap --size=2048   --name=swaplv1
logvol /     --vgname=rootvg --fstype xfs  --size=102400 --name=rootlv
Comment 4 Bug Zapper 2011-06-01 09:20:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 09:12:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.